Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.
rpm -e --nodeps mysql-libs 
yum install MariaDB-server

The above command helped me to install mariadb, also installed Wordpress. This was a great help. My problem now is when I reboot the server or restart apache here is the error:

"Your PHP installation appears to be missing the MySQL extension which is required by WordPress."

How can I solve this problem?

share|improve this question

1 Answer 1

You need to install php-mysql so that PHP could connect to a MySQL/MariaDB instance. Do this by

yum install php-mysql
share|improve this answer
    
I install mariadb without erasing php_mysql and mysql libs. actually I already installed wordpress and create a site but when I restart the httpd the error occurs –  Albert Estillore Oct 30 '12 at 10:19
    
is this a bug for combining php, mariadb, apache and wordpress. here is my situation: I have a server running with php and mysql, for me to install the mariadb you need to remove mysql-server. yum remove mysql-server after removing mysql-server I run this rpm -e --nodeps mysql-libs To prevent php_mysql and mysql libs from deletion/conflicts during installation of mariadb after that I successfully insyall mariadb and able to install wordpress but if I restart the appache the error occured “Your PHP installation appears to be missing the MySQL extension which is required by WordPress.” –  Albert Estillore Oct 30 '12 at 10:26

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.